> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/customs-catalog-api/brand-config.md).

# Brand Config

## GET /api/v2/BrandConfig/{id}

> Returns a brand config

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.BrandConfigDto":{"type":"object","properties":{"brandCode":{"type":"string","description":"Unique three-letter identifier for the retailer’s brand.","nullable":true},"brandName":{"type":"string","description":"Brand name.","nullable":true},"tenantCode":{"type":"string","description":"Tenant code.","nullable":true},"delimiter":{"type":"string","description":"Delimiter","nullable":true},"trimProductCodeWhiteSpaces":{"type":"boolean","description":"Indicates if the ProductCode whitespaces should be trimmed or not."},"rawCatalogMappings":{"type":"object","additionalProperties":{"type":"string"},"description":"RawCatalogMappings","nullable":true},"regions":{"type":"array","items":{"type":"string"},"description":"Regions","nullable":true},"currencyUnitDefault":{"type":"string","description":"CurrencyUnitDefault","nullable":true},"weightUnitDefault":{"type":"string","description":"WeightUnitDefault","nullable":true},"processRawCatalogs":{"type":"boolean","description":"ProcessRawCatalogs"},"generateMasterFile":{"type":"boolean","description":"GenerateMasterFile","nullable":true},"hsCodeLimit":{"type":"string","description":"Gets or sets classification code restriction","nullable":true},"defaultClassificationId":{"type":"string","description":"Gets or sets the default classification","nullable":true},"avalaraEnabled":{"type":"boolean","description":"Is Avalara enabled"},"enableCatalogRawMappings":{"type":"boolean","description":"EnableCatalogRawMappings"},"allowDefaultProducts":{"type":"boolean","description":"Indicates if Brand Allows Default Products","nullable":true},"defaultClassificationOverrides":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.DefaultClassificationOverrideDto"},"description":"DefaultClassificationOverrides","nullable":true},"classificationCodeOverride":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationCodeOverridesDto"},"description":"DefaultClassificationOverrides","nullable":true,"readOnly":true},"classificationProvider":{"type":"string","description":"ClassificationProvider","nullable":true},"digitalDefaultClassificationId":{"type":"string","description":"Gets or sets the digital default classification identifier.","nullable":true},"enableMultipleVats":{"type":"boolean","description":"Allows retailers to use more than one VAT rate."}},"additionalProperties":false,"description":"Represents brand config data transfer object."},"Customs.Catalog.Domain.Pkg.Models.DTO.DefaultClassificationOverrideDto":{"type":"object","properties":{"countryCode":{"type":"string","description":"CountryCode","nullable":true},"classificationId":{"type":"string","description":"ClassificationId","nullable":true}},"additionalProperties":false,"description":"DefaultClassificationOverride"},"Customs.Catalog.Domain.Pkg.Models.DTO.ClassificationCodeOverridesDto":{"type":"object","properties":{"countryCode":{"type":"string","description":"CountryCode","nullable":true}},"additionalProperties":false,"description":"ClassificationCodeOverride"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/BrandConfig/{id}":{"get":{"tags":["BrandConfig"],"summary":"Returns a brand config","operationId":"api/v2/BrandConfig/{id}_GET","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.BrandConfigDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.BrandConfigDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.BrandConfigDto"}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/customs-catalog-api/brand-config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
